%define upstream_name    relative
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Load modules with relative names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)

BuildArch: noarch


Provides: perl(relative)

%description
This module allows you to load modules using only parts of their name,
relatively to the current module or to a given module. Module names are by
default searched below the current module, but can be searched upper in the
hierarchy using the '..::' syntax.

In order to further loosen the namespace coupling, 'import' returns the
full names of the loaded modules, making object-oriented code easier to
write.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-16.mga10
+ Revision: 2200512
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-15.mga9
+ Revision: 1805557
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-14.mga8
+ Revision: 1497031
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-13.mga7
+ Revision: 1270899
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-12.mga6
+ Revision: 1032853
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-11.mga6
+ Revision: 949262
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-10.mga5
+ Revision: 789299
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 749127
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 687057
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-7.mga4
+ Revision: 516459
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-6.mga3
+ Revision: 375543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.40.0-5.mga2
+ Revision: 103671
- increase rel for rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.40.0-4.mga1
+ Revision: 23375
- cleaning spec file
- imported package perl-relative


* Wed Jun 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-4mdv2011.0
+ Revision: 547335
- reabuild using %%perl_convert_version, provides perl(relative)

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.04-3mdv2010.0
+ Revision: 430534
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2009.0
+ Revision: 268940
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 213740
- import perl-relative


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
- first mdv release
